%define upstream_name Dist-Zilla-Plugin-Prereqs-Plugins
%define upstream_version 0.1.3

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Add all Dist::Zilla plugins presently in use as prerequisites
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::Types::Moose)
BuildRequires:	perl(Path::FindDev)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
This is mostly because I am lazy, and the lengthy list of hand-updated
dependencies on my @Author:: bundle started to get overwhelming, and I'd
periodically miss something.

This module is kinda "AutoPrereqs"y, but in ways that I can't imagine
being plausible with a generic "AutoPrereqs" tool, at least, not without
requiring some nasty re-implementation of how "dist.ini" is parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.1.3-2.mga4
+ Revision: 537110
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.1.3-1.mga4
+ Revision: 486340
- update to 0.1.3

* Sun Sep 08 2013 sander85 <sander85> 0.1.2-1.mga4
+ Revision: 475893
- update to 0.1.2

* Fri Aug 09 2013 sander85 <sander85> 0.1.0-1.mga4
+ Revision: 464931
- imported package perl-Dist-Zilla-Plugin-Prereqs-Plugins

